Interface GetSoftwareResourcesV2Request.Builder
- All Superinterfaces:
AwsRequest.Builder,Buildable,CopyableBuilder<GetSoftwareResourcesV2Request.Builder,,GetSoftwareResourcesV2Request> SdkBuilder<GetSoftwareResourcesV2Request.Builder,,GetSoftwareResourcesV2Request> SdkPojo,SdkRequest.Builder,SecurityHubRequest.Builder
- Enclosing class:
GetSoftwareResourcesV2Request
-
Method Summary
Modifier and TypeMethodDescriptionfilters(Consumer<SoftwareFilters.Builder> filters) Filters the returned resources based on a set of criteria.filters(SoftwareFilters filters) Filters the returned resources based on a set of criteria.maxResults(Integer maxResults) The maximum number of results to return.The token required for pagination.overrideConfiguration(Consumer<AwsRequestOverrideConfiguration.Builder> builderConsumer) Add an optional request override configuration.overrideConfiguration(AwsRequestOverrideConfiguration overrideConfiguration) Add an optional request override configuration.packageName(String packageName) The name of the software package, for exampleopenssl.packageType(String packageType) The type of the software package, for exampleoperating-system,application, orlibrary.packageVersion(String packageVersion) The version of the software package, for example3.0.8.scopes(Consumer<SoftwareScopes.Builder> scopes) Limits the results to resources from specific organizational units or from the delegated administrator's organization.scopes(SoftwareScopes scopes) Limits the results to resources from specific organizational units or from the delegated administrator's organization.sortCriteria(Collection<SortCriterion> sortCriteria) The resource attribute used to sort the list of returned resources, for exampleRegionorResourceType.sortCriteria(Consumer<SortCriterion.Builder>... sortCriteria) The resource attribute used to sort the list of returned resources, for exampleRegionorResourceType.sortCriteria(SortCriterion... sortCriteria) The resource attribute used to sort the list of returned resources, for exampleRegionorResourceType.Methods inherited from interface software.amazon.awssdk.awscore.AwsRequest.Builder
overrideConfigurationMethods inherited from interface software.amazon.awssdk.utils.builder.CopyableBuilder
copyMethods inherited from interface software.amazon.awssdk.utils.builder.SdkBuilder
applyMutation, buildMethods inherited from interface software.amazon.awssdk.core.SdkPojo
equalsBySdkFields, sdkFieldNameToField, sdkFieldsMethods inherited from interface software.amazon.awssdk.services.securityhub.model.SecurityHubRequest.Builder
build
-
Method Details
-
packageName
The name of the software package, for example
openssl. This value must match thePackageNamereturned byGetSoftwareV2.- Parameters:
packageName- The name of the software package, for exampleopenssl. This value must match thePackageNamereturned byGetSoftwareV2.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
packageType
The type of the software package, for example
operating-system,application, orlibrary. This value must match thePackageTypereturned byGetSoftwareV2.- Parameters:
packageType- The type of the software package, for exampleoperating-system,application, orlibrary. This value must match thePackageTypereturned byGetSoftwareV2.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
packageVersion
The version of the software package, for example
3.0.8. If you omit this value, the response includes resources that contain any version of the package.- Parameters:
packageVersion- The version of the software package, for example3.0.8. If you omit this value, the response includes resources that contain any version of the package.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
filters
Filters the returned resources based on a set of criteria. You can nest composite filters up to three levels deep.
- Parameters:
filters- Filters the returned resources based on a set of criteria. You can nest composite filters up to three levels deep.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
filters
Filters the returned resources based on a set of criteria. You can nest composite filters up to three levels deep.
This is a convenience method that creates an instance of theSoftwareFilters.Builderavoiding the need to create one manually viaSoftwareFilters.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed tofilters(SoftwareFilters).- Parameters:
filters- a consumer that will call methods onSoftwareFilters.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
scopes
Limits the results to resources from specific organizational units or from the delegated administrator's organization. Only the delegated administrator account can use this parameter. Other accounts receive an
AccessDeniedException.This parameter is optional. If you omit it, the delegated administrator sees resources from all accounts across the entire organization. Other accounts see only their own resources.
You can specify up to 10 entries in
Scopes.AwsOrganizations. If multiple entries are specified, the entries are combined using OR logic.- Parameters:
scopes- Limits the results to resources from specific organizational units or from the delegated administrator's organization. Only the delegated administrator account can use this parameter. Other accounts receive anAccessDeniedException.This parameter is optional. If you omit it, the delegated administrator sees resources from all accounts across the entire organization. Other accounts see only their own resources.
You can specify up to 10 entries in
Scopes.AwsOrganizations. If multiple entries are specified, the entries are combined using OR logic.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
scopes
Limits the results to resources from specific organizational units or from the delegated administrator's organization. Only the delegated administrator account can use this parameter. Other accounts receive an
AccessDeniedException.This parameter is optional. If you omit it, the delegated administrator sees resources from all accounts across the entire organization. Other accounts see only their own resources.
You can specify up to 10 entries in
This is a convenience method that creates an instance of theScopes.AwsOrganizations. If multiple entries are specified, the entries are combined using OR logic.SoftwareScopes.Builderavoiding the need to create one manually viaSoftwareScopes.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed toscopes(SoftwareScopes).- Parameters:
scopes- a consumer that will call methods onSoftwareScopes.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
sortCriteria
The resource attribute used to sort the list of returned resources, for example
RegionorResourceType. You can specify one sort criterion.- Parameters:
sortCriteria- The resource attribute used to sort the list of returned resources, for exampleRegionorResourceType. You can specify one sort criterion.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
sortCriteria
The resource attribute used to sort the list of returned resources, for example
RegionorResourceType. You can specify one sort criterion.- Parameters:
sortCriteria- The resource attribute used to sort the list of returned resources, for exampleRegionorResourceType. You can specify one sort criterion.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
sortCriteria
The resource attribute used to sort the list of returned resources, for example
This is a convenience method that creates an instance of theRegionorResourceType. You can specify one sort criterion.SortCriterion.Builderavoiding the need to create one manually viaSortCriterion.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed tosortCriteria(List<SortCriterion>).- Parameters:
sortCriteria- a consumer that will call methods onSortCriterion.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
nextToken
The token required for pagination. On your first call, set the value of this parameter to
NULL. For subsequent calls, to continue listing data, set the value of this parameter to the value returned in the previous response.A token expires one hour after it's issued. If you change the request parameters between calls, the token is no longer valid and the request fails with a
ValidationException.- Parameters:
nextToken- The token required for pagination. On your first call, set the value of this parameter toNULL. For subsequent calls, to continue listing data, set the value of this parameter to the value returned in the previous response.A token expires one hour after it's issued. If you change the request parameters between calls, the token is no longer valid and the request fails with a
ValidationException.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
maxResults
The maximum number of results to return. Valid values are 1–100. The default is 100.
- Parameters:
maxResults- The maximum number of results to return. Valid values are 1–100. The default is 100.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
overrideConfiguration
GetSoftwareResourcesV2Request.Builder overrideConfiguration(AwsRequestOverrideConfiguration overrideConfiguration) Description copied from interface:AwsRequest.BuilderAdd an optional request override configuration.- Specified by:
overrideConfigurationin interfaceAwsRequest.Builder- Parameters:
overrideConfiguration- The override configuration.- Returns:
- This object for method chaining.
-
overrideConfiguration
GetSoftwareResourcesV2Request.Builder overrideConfiguration(Consumer<AwsRequestOverrideConfiguration.Builder> builderConsumer) Description copied from interface:AwsRequest.BuilderAdd an optional request override configuration.- Specified by:
overrideConfigurationin interfaceAwsRequest.Builder- Parameters:
builderConsumer- AConsumerto which an emptyAwsRequestOverrideConfiguration.Builderwill be given.- Returns:
- This object for method chaining.
-